
TYPO3.Fluid - Bug # 3071

Status: Resolved Priority: Should have
Author: Niels Pardon Category:
Created: 2009-04-10 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Allow objects implementing Iterator interface in each attribute of for view helper
Description

I am currently plaing a bit around with porting the extension seminars to extbase and fluid. We already have our own Mappers and
Models based on oelib. We are using a class tx_oelib_List which implements PHP's Iterator interface for e.g. M:M relations. Would be
great if we could use an object implementing the Iterator interface with Fluid's for view helper.

History
#1 - 2009-04-11 15:20 - Sebastian Kurfuerst

Hey,

so you mean the <f:for> ViewHelper, right?

Greets,
Sebastian

#2 - 2009-04-11 15:22 - Niels Pardon

Sebastian Kurfuerst wrote:

so you mean the <f:for> ViewHelper, right?

Exactly.

#3 - 2009-04-30 10:36 - Sebastian Kurfuerst

Hi,

should work already, can you confirm this?

Greets,
Sebastian

#4 - 2009-05-15 23:29 - Sebastian Kurfuerst
- Status changed from New to Resolved

Please reopen this issue in case it does not work :-)
Greets,
Sebastian

#5 - 2009-10-21 17:54 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)
